---
title: WindowOrWorkerGlobalScope.clearInterval()
slug: Web/API/WindowOrWorkerGlobalScope/clearInterval
tags:
  - API
  - HTML DOM
  - JavaScript timers
  - Method
  - Reference
  - WindowOrWorkerGlobalScope
  - clearInterval
---
<div>
<div>{{APIRef("HTML DOM")}}</div>
</div>

<p>The <strong><code>clearInterval()</code></strong> method of the {{domxref("WindowOrWorkerGlobalScope")}} mixin cancels a timed, repeating action which was previously established by a call to {{domxref("WindowOrWorkerGlobalScope.setInterval", "setInterval()")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>scope</em>.clearInterval(<var>intervalID</var>)
</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>intervalID</code></dt>
 <dd>The identifier of the repeated action you want to cancel. This ID was returned by the corresponding call to <code>setInterval()</code>.</dd>
</dl>

<p>It's worth noting that the pool of IDs used by {{domxref("WindowOrWorkerGlobalScope.setInterval", "setInterval()")}} and {{domxref("WindowOrWorkerGlobalScope.setTimeout", "setTimeout()")}} are shared, which means you can technically use <code>clearInterval()</code> and {{domxref("WindowOrWorkerGlobalScope.clearTimeout", "clearTimeout()")}} interchangeably. However, for clarity, you should avoid doing so.</p>

<h3 id="Return_value">Return value</h3>

<p>{{jsxref("undefined")}}</p>

<h2 id="Example">Example</h2>

<p>See the <a href="/en-US/docs/DOM/window.setInterval#Examples" title="DOM/window.setInterval#Examples"><code>setInterval()</code> examples</a>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'webappapis.html#dom-clearinterval', 'WindowOrWorkerGlobalScope.clearInterval()')}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>Method moved to the <code>WindowOrWorkerGlobalScope</code> mixin in the latest spec.</td>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', 'webappapis.html#dom-clearinterval', 'clearInterval()')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.WindowOrWorkerGlobalScope.clearInterval")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/JavaScript/Timers" title="JavaScript/Timers">JavaScript timers</a></li>
 <li>{{domxref("WindowOrWorkerGlobalScope.setTimeout")}}</li>
 <li>{{domxref("WindowOrWorkerGlobalScope.setInterval")}}</li>
 <li>{{domxref("WindowOrWorkerGlobalScope.clearTimeout")}}</li>
 <li>{{domxref("Window.requestAnimationFrame")}}</li>
 <li><a href="/en-US/docs/JavaScript/Timers/Daemons" title="JavaScript/Timers/Daemons"><em>Daemons</em> management</a></li>
</ul>
